package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;

import static com.alterdekim.hearthhack.util.GameUtilities.generateEmptyNotification;

public class GetAdventureProgress extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
       /* Protocol.AdventureProgressResponse progressResponse = Protocol.AdventureProgressResponse.newBuilder()
                .build();*/

        // Protocol.Notification n = generateNotification(306, progressResponse.toByteString(), progressResponse.getSerializedSize());
        Protocol.Notification n = generateEmptyNotification(306);

        Protocol.Header header = Protocol.Header.newBuilder()
                .setServiceId(4)
                .setMethodId(1)
                .setToken(conn.nextToken())
                .setObjectId(0)
                .setSize(n.getSerializedSize())
                .setStatus(0)
                .build();

        conn.send(new BattleNetPacket(header, n.toByteArray()));
    }

    @Override
    public int getId() {
        return 305;
    }
}
